Issue description is not rendered anymore
Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 6.0.6

Description

Any formatting in the description of an issue is not visible after saving the issue.

While editing the formatting are visible in the "Preview" tab.

For example a heading text:

# Test

 is rendered as:

1. Test

 In "Administration->Settings->General" option "Text formatting" is set to "CommonMark MarkDown (GitHub)"

I am using the official Redmine Docker image from Docker Hub. At the moment it's version 6.0.6. Using image 6.0.5 has no

problems.

Redmine information:

Environment:

  Redmine version                6.0.6.stable

  Ruby version                   3.3.8-p144 (2025-04-09) [x86_64-linux]

  Rails version                  7.2.2.1

  Environment                    production

  Database adapter               PostgreSQL

  Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

  Mailer delivery                smtp

Redmine settings:

  Redmine theme                  Purplemine2 (includes JavaScript)

SCM:

  Subversion                     1.14.2

  Mercurial                      6.3.2

  Bazaar                         3.3.2

  Git                            2.39.5

  Filesystem  

History

#1 - 2025-07-28 08:22 - Daniel Wegener

In custom fields of type "Long text" and option "Text formatting" activated, the text is rendered as expected.

#2 - 2025-07-28 11:20 - jij exo

Hello,

You're seeing with headings being rendered incorrectly in Redmine 6.0.6 is a regression specific to this version. Markdown headings like # Test

should appear as proper headers, but in your case, they're showing up as list items, which isn’t expected. Since this didn’t happen in version 6.0.5,

the problem likely came with the update. Try switching to the default theme in case the custom theme (like Purplemine2) is interfering, and

double-check that there’s a space after the # in your heading.
#3 - 2025-07-28 11:43 - Daniel Wegener

Hi

I tested again with the "Alternate" theme and checked, that there is a space after the #. Checked it with a new heading.

Unfortunatly no improvement
